Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I'm trying to install audacity on centos using yum and I cant force yum to resolve all dependencies, here's what i got, can someone help me with it (when I download the rpm file and click-installit i get the dependency problem too):

# yum --disablerepo=c6-media install audacity-1.2.3-2.2.el4.rf.i386.rpm
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * base: mirror.karneval.cz
 * centosplus: mirror.karneval.cz
 * extras: centos.vieth-server.de
 * rpmforge: fr2.rpmfind.net
 * updates: mirror.karneval.cz
Setting up Install Process
Examining audacity-1.2.3-2.2.el4.rf.i386.rpm: audacity-1.2.3-2.2.el4.rf.i386
Marking audacity-1.2.3-2.2.el4.rf.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package audacity.i386 0:1.2.3-2.2.el4.rf set to be updated
--> Processing Dependency: wxGTK >= 2.4.0 for package: audacity-1.2.3-2.2.el4.rf.i386
--> Processing Dependency: libwx_gtk-2.4.so.0 for package: audacity-1.2.3-2.2.el4.rf.i386
--> Processing Dependency: libwx_gtk-2.4.so.0(WXGTK_2.4) for package: audacity-1.2.3-2.2.el4.rf.i386
--> Running transaction check
---> Package audacity.i386 0:1.2.3-2.2.el4.rf set to be updated
--> Processing Dependency: libwx_gtk-2.4.so.0 for package: audacity-1.2.3-2.2.el4.rf.i386
--> Processing Dependency: libwx_gtk-2.4.so.0(WXGTK_2.4) for package: audacity-1.2.3-2.2.el4.rf.i386
---> Package wxGTK.i686 0:2.8.12-1.el6.rf set to be updated
--> Finished Dependency Resolution
Error: Package: audacity-1.2.3-2.2.el4.rf.i386 (/audacity-1.2.3-2.2.el4.rf.i386)
           Requires: libwx_gtk-2.4.so.0
Error: Package: audacity-1.2.3-2.2.el4.rf.i386 (/audacity-1.2.3-2.2.el4.rf.i386)
           Requires: libwx_gtk-2.4.so.0(WXGTK_2.4)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
share|improve this question

migrated from serverfault.com Oct 10 '11 at 1:56

This question came from our site for professional system and network administrators.

    
What happens if you just install with yum --disablerepo=c6-media install audacity? –  quanta Oct 9 '11 at 14:46
    
i get: Setting up Install Process No package audacity available. Error: Nothing to do –  Kaemic Oct 9 '11 at 15:33

1 Answer 1

It is available in the epel repo:

Name       : audacity
Arch       : x86_64
Version    : 1.3.12
Release    : 0.6.beta.el6
Size       : 13 M
Repo       : installed
From repo  : epel
Summary    : Multitrack audio editor
URL        : http://audacity.sourceforge.net
License    : GPLv2
Description: Audacity is a cross-platform multitrack audio editor. It allows you to
           : record sounds directly or to import files in various formats. It features
           : a few simple effects, all of the editing features you should need, and
           : unlimited undo. The GUI was built with wxWidgets and the audio I/O
           : supports OSS and ALSA under Linux.
share|improve this answer
    
thx, after adding this repo it works –  Kaemic Oct 9 '11 at 16:42

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.